Name:           pypoker-eval
Version:        137.0
Release:        %mkrel 1
Epoch:          0
Summary:        Python interface to poker-eval
Group:          Development/Python
License:        GPLv3+
URL:            http://pokersource.org/pypoker-eval/
Source0:        http://download.gna.org/pokersource/sources/pypoker-eval-%{version}.tar.gz
BuildRequires:  poker-eval-devel
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
This package is python adaptor for the poker-eval toolkit for
writing programs which simulate or analyze poker games.

%package -n python-pokereval
Summary:        Python interface to poker-eval
Group:          Development/Python
Provides:       %{name} = %{epoch}:%{version}-%{release}
%py_requires -d

%description -n python-pokereval
This package is python adaptor for the poker-eval toolkit for
writing programs which simulate or analyze poker games.

%package -n python-pokereval-devel
Summary:        Files needed for developing programs which use pypoker-eval
Group:          Development/Python
Provides:       %{name}-devel = %{epoch}:%{version}-%{release}
Requires:       python-pokereval = %{epoch}:%{version}-%{release}
Requires:       pkgconfig

%description -n python-pokereval-devel
This package contains files required to build applications that use
pypoker-eval.

%prep
%setup -q

# make examples directory for devel %doc
%{__mkdir} -p tmp/examples
%{__cp} -a test.py tmp/examples

%build
%{configure2_5x} --disable-static
%{make}

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

%check
%{__python} test.py
 
%clean
%{__rm} -rf %{buildroot}

%files -n python-pokereval
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{python_sitearch}/*.so.*
%{python_sitearch}/*.py
%{python_sitearch}/*.pyc
%{python_sitearch}/*.pyo
%{python_sitearch}/*.so
%{python_sitearch}/*.la

%files -n python-pokereval-devel
%defattr(-,root,root,-)
%doc tmp/examples
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Tue Dec 01 2009 Jérôme Brenier <incubusss@mandriva.org> 0:137.0-1mdv2010.1
+ Revision: 472401
- new version 137.0
- fix license tag

* Tue Sep 15 2009 Thierry Vignaud <tvignaud@mandriva.com> 0:136.0-2mdv2010.0
+ Revision: 442002
- rebuild

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 0:136.0-1mdv2009.1
+ Revision: 320074
- New version 136.0

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0:135.0-2mdv2009.0
+ Revision: 269018
- rebuild early 2009.0 package (before pixel changes)

* Mon Apr 21 2008 David Walluck <walluck@mandriva.org> 0:135.0-1mdv2009.0
+ Revision: 196048
- 135.0

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0:134.0-1mdv2008.1
+ Revision: 136445
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed May 23 2007 David Walluck <walluck@mandriva.org> 0:134.0-1mdv2008.0
+ Revision: 30399
- 134.0


* Sat Dec 16 2006 David Walluck <walluck@mandriva.org> 133.0-4mdv2007.0
+ Revision: 98037
- iurt sucks
- bump release
- bump release
- 133.0

* Wed Dec 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0:132.0-3mdv2007.1
+ Revision: 96275
- Rebuild

  + David Walluck <walluck@mandriva.org>
    - Import pypoker-eval

* Sun Sep 10 2006 David Walluck <walluck@mandriva.org> 0:132.0-2mdv2007.0
- move the .so file to the main package as required by poker2d
- *.pyo files are not ghost files

* Sun Sep 03 2006 David Walluck <walluck@mandriva.org> 0:132.0-1mdv2007.0
- release

* Mon Jun 12 2006 Christopher Stone <chris.stone@gmail.com> 131.0-5
- Remove %%makeinstall macro
- Add pkgconfig to devel Requires
- Remove pkgconfig from BuildRequires since poker-eval-devel picks it up

* Thu Jun 01 2006 Christopher Stone <chris.stone@gmail.com> 131.0-4
- Add missing Build Requires
- Use macros for system commands

* Sat May 13 2006 Christopher Stone <chris.stone@gmail.com> 131.0-3
- Place unversioned .so link in -devel package

* Mon Apr 24 2006 Christopher Stone <chris.stone@gmail.com> 131.0-2
- Updated URL and Source0 links
- Added %%check section
- Include test.py in devel %%doc
- Updated Summary and %%description
- Removed unneeded BuildRequires and Requires

* Thu Mar 30 2006 Loic Dachary <loic at gnu.org> - 131.0-1
- upstream sync

* Mon Mar 27 2006 Christopher Stone <chris.stone@gmail.com> 130.0-1
- Initial RPM release

